
newTalent{
	name = "Locomotion",
	type = {"technique/speed", 1},
	require = wind_req1,
	points = 5,
	mode = "passive",
	on_learn = function(self, t)
		self.inc_stats[self.STAT_CON] = self.inc_stats	[self.STAT_CON] - 2
		self:onStatChange(self.STAT_CON, -2)			self.movement_speed = self.movement_speed + 0.10

		end,
	on_unlearn = function(self, t)
		self.inc_stats[self.STAT_CON] = self.inc_stats[self.STAT_CON] + 2
		self:onStatChange(self.STAT_CON, 2)		self.movement_speed = self.movement_speed - 0.10
		end,

	info = function(self, t)
		local power = self:getTalentLevelRaw(t) * 10
		return ([[Increases your movement speed by %d%%, and decreases constitution by %d.]]):
		format(power, self:getTalentLevelRaw(t) * 2
)
	end,
}

newTalent{
	name = "Breeze",
	type = {"technique/speed", 2},
	require = wind_req2,
	points = 5,
	mode = "passive",
	on_learn = function(self, t)
		self.inc_stats[self.STAT_STR] = self.inc_stats	[self.STAT_STR] - 2
		self:onStatChange(self.STAT_STR, -2)			self.combat_physspeed = self.combat_physspeed + 0.10
		end,
	on_unlearn = function(self, t)
		self.inc_stats[self.STAT_STR] = self.inc_stats[self.STAT_STR] + 2
		self:onStatChange(self.STAT_STR, 2)		self.combat_physspeed = self.combat_physspeed - 0.10
		end,

	info = function(self, t)
		local power = self:getTalentLevelRaw(t) * 10
		return ([[Like a breeze your oppononents barely notice your attacks. Increases your attack speed by %d%%, and decreases strength by %d.]]):
		format(power, self:getTalentLevelRaw(t) * 2)
	end,
}

newTalent{
	name = "Bullet Dodger",
	type = {"technique/speed", 3},
	require = wind_req3,
	mode = "passive",
	points = 5,
	getPower = function(self, t) return self:getTalentLevel(t)/2 end,
	do_reflexes = function(self, t)
		self:setEffect(self.EFF_REFLEXIVE_DODGING, 1, {power=t.getPower(self, t)})
	end,
	info = function(self, t)
		local power = t.getPower(self, t)
		return ([[When you're targeted by a projectile, your global speed is increased by %d%% for 1 turn.  Taking any action other then movement will break the effect.]]):
		format(power * 100)
	end,
}

newTalent{
	name = "Ever faster",
	type = {"technique/speed", 4},
	require = wing_req4,
	mode = "sustained",
	points = 5,
	cooldown = 10,
	sustain_stamina = 40,
	tactical = { BUFF = 1 },
	
	activate = function(self, t)
return {
		speed = self:addTemporaryValue("global_speed_add", self:getTalentLevel(t)/500 * self:getDex()),
		phys = self:addTemporaryValue("resists", {[DamageType.PHYSICAL]=-(self:getTalentLevelRaw(t)/8 * self:getDex())}),
		}
end,
	deactivate = function(self, t, p)
		self:removeTemporaryValue("global_speed_add", p.speed)
self:removeTemporaryValue("resists", p.phys)
		return true	
			end,

	
		info = function(self, t)
		return ([[You force yourself to move ever faster, however, damage from impact with physical attacks are increased!
		Increase global speed by %d%%, decreased physical resist by %d%%.]]):format((self:getTalentLevelRaw(t)/5) * self:getDex(),(self:getTalentLevelRaw(t)/8) * self:getDex())
	end,
}
